#ifndef INTERNODESYNCER_H_
#define INTERNODESYNCER_H_

#include <include_closed/common/Common.h>
#include <include_closed/common/toolkit/MetadataTk.h>
#include <include_closed/net/filesystem/RemotingIOInfo.h>


/*
 * note: the rest of this is declared in the closed tree.
 */


struct InternodeSyncer;
typedef struct InternodeSyncer InternodeSyncer;


extern void InternodeSyncer_delayedCloseAdd(InternodeSyncer* this, const OwnerMinInfo* entryInfo,
   const RemotingIOInfo* ioInfo);

// getters & setters
extern size_t InternodeSyncer_getDelayedCloseQueueSize(InternodeSyncer* this);


#endif /* INTERNODESYNCER_H_ */
